Highlighted

WARNING: Unlicensed version of AIR SDK on Android versions below 8

Participant ,
Jul 13, 2020

Copy link to clipboard

Copied

I just update 3 of my apps with the Harman AIR 33.1.1.176, everything goes fine on Android 8 and above, but every Android version below 8 fails with message:
WARNING: Unlicensed version of AIR SDK

 

I tested on 8 Different devices and only worked when the Android version is 8 or above, o the rest always stopped with the indicated error message. This is CATASTROFIC because more than a 45% of the Adobe AIR users have Android versions below 8.

 

The devices tested are some physical some trough Samsung Remote Test Lab:

 

NOT WORKING:

Asus Memo Pad 7 - Android 4..2.2

Galaxy Note 3 - Android 5.0

Galaxy S10E - Android 9.0

Galaxy S5 - Android 6.0.1

Galaxy Tab A - Android 7.1.1

Asus Memo Pad HD 7 - Android 4.2.2

 

WORKING:

Galaxy S7 Edge - Android 8.0

Galaxy Tab S4 - Android 9.0

Motorola Moto G6 Plus - Android 9.0

 

NOTE: On the working devices the Harman Splash Screen appears normaly

 

So what can we do with this?, this means the DEATH of our apps, I have dozens of support message on my inbox right now myusers that updatadet inmediately my apps, but almost anybody could open the apps, all of them receive that error.

 

EDIT/UPDATE: I've just packed a version with the original AIR SDK as was downloaded, and it failed with exactly the same ERROR

 

I attached Screen shots of the tested devices, Working and Not Working

 

Asus Memo Pad 7 - Android 4.2.2.pngAsus Memo Pad 7 - Error.pngGalaxy Note 3 - Android 5.0.pngGalaxy Note 3 - Error.pngGalaxy S5 - Android 6.0.1.pngGalaxy S5 - Error.pngGalaxy Tab A - Android 7.1.1.pngGalaxy Tab A - Error.pngGalaxy S10E - Android 9.0.pngGalaxy S10E - Working.pngGalaxy S7 Edge - Android 8.0.pngGalaxy S7 Edge - Working.pngGalaxy Tab S4 - Android 9.0.pngGalaxy Tab S4 - Working.png

Views

99

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

WARNING: Unlicensed version of AIR SDK on Android versions below 8

Participant ,
Jul 13, 2020

Copy link to clipboard

Copied

I just update 3 of my apps with the Harman AIR 33.1.1.176, everything goes fine on Android 8 and above, but every Android version below 8 fails with message:
WARNING: Unlicensed version of AIR SDK

 

I tested on 8 Different devices and only worked when the Android version is 8 or above, o the rest always stopped with the indicated error message. This is CATASTROFIC because more than a 45% of the Adobe AIR users have Android versions below 8.

 

The devices tested are some physical some trough Samsung Remote Test Lab:

 

NOT WORKING:

Asus Memo Pad 7 - Android 4..2.2

Galaxy Note 3 - Android 5.0

Galaxy S10E - Android 9.0

Galaxy S5 - Android 6.0.1

Galaxy Tab A - Android 7.1.1

Asus Memo Pad HD 7 - Android 4.2.2

 

WORKING:

Galaxy S7 Edge - Android 8.0

Galaxy Tab S4 - Android 9.0

Motorola Moto G6 Plus - Android 9.0

 

NOTE: On the working devices the Harman Splash Screen appears normaly

 

So what can we do with this?, this means the DEATH of our apps, I have dozens of support message on my inbox right now myusers that updatadet inmediately my apps, but almost anybody could open the apps, all of them receive that error.

 

EDIT/UPDATE: I've just packed a version with the original AIR SDK as was downloaded, and it failed with exactly the same ERROR

 

I attached Screen shots of the tested devices, Working and Not Working

 

Asus Memo Pad 7 - Android 4.2.2.pngAsus Memo Pad 7 - Error.pngGalaxy Note 3 - Android 5.0.pngGalaxy Note 3 - Error.pngGalaxy S5 - Android 6.0.1.pngGalaxy S5 - Error.pngGalaxy Tab A - Android 7.1.1.pngGalaxy Tab A - Error.pngGalaxy S10E - Android 9.0.pngGalaxy S10E - Working.pngGalaxy S7 Edge - Android 8.0.pngGalaxy S7 Edge - Working.pngGalaxy Tab S4 - Android 9.0.pngGalaxy Tab S4 - Working.png

Views

100

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jul 13, 2020 0
Engaged ,
Jul 13, 2020

Copy link to clipboard

Copied

Have you updated to the recent 33.1.1.190?  This bug is listed as fixed in the release notes for that newest version:

https://airsdk.harman.com/release_notes

 

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 13, 2020 0
Contributor ,
Jul 13, 2020

Copy link to clipboard

Copied

Flipline - Just wondering - is there a way to get notified when a new version of the SDK comes out?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 13, 2020 0
Engaged ,
Jul 15, 2020

Copy link to clipboard

Copied

I don't think so, it sure would be nice though!  

 

I've just watched the Adobe-Runtime-Support github so I get emailed whenever somebody posts there, so when I start seeing a bunch of issues being closed at once I check to see if there's a new version up that fixed those things 🙂

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 15, 2020 0
juvelez LATEST
Participant ,
Jul 15, 2020

Copy link to clipboard

Copied

I confirm that 33.1.1.190 fixed that issue...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 15, 2020 0